
@echo Parameter 1 transferred is :%1
@echo Parameter 2 transferred is :%2
@echo Parameter 3 transferred is :%3

@set first_param=%@LOWER[%1]%

if %2==skip_lower (set first_param=%1)

@echo Variable result %first_param%
@echo Outdir_ext result %outpath_ext%

@if %first_param% == umts (
@echo Setting parameters for UMTS environment

rem *****BE SURE NOT TO LEAVE ANY SPACES AT THE END OF THE LINES****
rem do not use the .exe extension.
set exe=g23_smi_umts
set outdir=\g23m\condat\ms\src\%outpath_ext%
set exedir=\g23m\condat\ms\bin\
set mapfile=\g23m\condat\int\msdev\g23_smi_umts\obj\g23_smi_umts.map
if %2==no_skip (echo set exe=umts^nset outpath_ext=%outpath_ext%^nset entry_point=_pei_primitive > \gpf\bin\profile_temp_config.bat)
goto end
)

if %first_param% == gsm (
@echo Setting parameters for GSM environment

rem *****BE SURE NOT TO LEAVE ANY SPACES AT THE END OF THE LINES****
rem do not use the .exe extension.
set exe=MS_TI_FD
set outdir=\g23m\condat\ms\%outpath_ext%
set exedir=\g23m\condat\ms\bin\
set mapfile=\g23m\condat\int\msdev\ms_ti_fd\obj\MS_TI_FD.map
if %2==no_skip (echo set exe=gsm^nset outpath_ext=%outpath_ext%^nset entry_point=_pei_primitive> \gpf\bin\profile_temp_config.bat)
goto end
)

if %first_param% == gprs (
@echo Setting parameters for GPRS environment

rem *****BE SURE NOT TO LEAVE ANY SPACES AT THE END OF THE LINES****
rem do not use the .exe extension.
set exe=G23_SMI_GPRS
set outdir=\g23m\condat\ms\%outpath_ext%
set exedir=\g23m\condat\ms\bin\
set mapfile=\g23m\condat\int\msdev\g23_smi_gprs\obj\G23_SMI_GPRS.map
if %2==no_skip (echo set exe=gprs^nset outpath_ext=%outpath_ext%^nset entry_point=_pei_primitive> \gpf\bin\profile_temp_config.bat)
goto end
)

@if %first_param% == gprs_wap (
@echo Setting parameters for GPRS environment

rem *****BE SURE NOT TO LEAVE ANY SPACES AT THE END OF THE LINES****
rem do not use the .exe extension.
set exe=G23_SMI_GPRS_WAP
set outdir=\g23m\condat\ms\%outpath_ext%
set exedir=\g23m\condat\ms\bin\
set mapfile=\g23m\condat\int\msdev\g23_smi_gprs_wap\obj\G23_SMI_GPRS_WAP.map
if %2==no_skip (echo set exe=gprs_wap^nset outpath_ext=%outpath_ext%^nset entry_point=_pei_primitive > \gpf\bin\profile_temp_config.bat)
goto end
)

@if %first_param% == gprs_bt (
@echo Setting parameters for GPRS environment
rem *****BE SURE NOT TO LEAVE ANY SPACES AT THE END OF THE LINES****
rem do not use the .exe extension.
set exe=G23_SMI_GPRS_BT
set outdir=\g23m\condat\ms\%outpath_ext%
set exedir=\g23m\condat\ms\bin\
set mapfile=\g23m\condat\int\msdev\g23_smi_gprs_bt\obj\G23_SMI_GPRS_BT.map
if %2==no_skip (echo set exe=gprs_bt ^nset outpath_ext=%outpath_ext%^nset entry_point=_pei_primitive > \gpf\bin\profile_temp_config.bat)
goto end
)

@if %first_param% == teststack (
@echo Setting parameters for TESTSTACK environment
rem *****BE SURE NOT TO LEAVE ANY SPACES AT THE END OF THE LINES****
rem do not use the .exe extension.
set exe=teststack
set outdir=\gpf\util\teststack\spec\test\%outpath_ext%
set exedir=\gpf\util\teststack\bin\
set mapfile=\gpf\util\teststack\obj\stack\pc\teststack.map
set entry_point=_pei_primitive
if %2==no_skip (echo set exe=teststack^nset outpath_ext=%outpath_ext%^nset entry_point=_pei_primitive > \gpf\bin\profile_temp_config.bat)
goto end
)

@echo //////////////////////////////////////////////////////
@echo ERROR: No variables have been set for parameter: %1
@echo //////////////////////////////////////////////////////

:end